@import './variables.scss';

@mixin mobile {
  @media (max-width: $tablet - 1px) {
    @content;
  }
}

@mixin tablet {
  @media (min-width: $tablet) and (max-width: $desktop - 1px) {
    @content;
  }
}

@mixin desktop {
  @media (min-width: $desktop) {
    @content;
  }
}

@mixin tablet-up {
  @media (min-width: $tablet) {
    @content;
  }
}

@mixin tablet-down {
  @media (max-width: $desktop - 1px) {
    @content;
  }
}

@mixin text-1 {
  font-size: 0.9375rem;
  line-height: 1.25;
  font-weight: 500;
}

@mixin text-2 {
  font-size: 0.875rem;
  line-height: 1.6;
  font-weight: 500;
}

@mixin text-3 {
  font-size: 0.8125rem;
  line-height: 1.4;
  font-weight: 500;
}

@mixin text-4 {
  font-size: 0.5625rem;
  line-height: 1em;
  letter-spacing: 1px;
  font-weight: 500;
  text-transform: uppercase;
}

@mixin title-1 {
  font-size: 2.1875rem;
  line-height: 1.2;
}

@mixin title-2 {
  font-size: 1.5625rem;
  line-height: 1.2;
}

@mixin title-3 {
  font-size: 0.9375rem;
  line-height: 1.4;
}

@mixin title-4 {
  font-size: 0.8125rem;
  line-height: 1.4;
  font-weight: 700; // update to demi bold when available
}

@mixin sr-only {
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}
